<template>
    <div class="background-overlay">
        <div class="modal">
            <button v-on:click="this.$parent.closePlaylistModal" class="btn-icon close"><img
                    src="../../assets/icons/close-dark.svg"><span
                    class="visuallyhidden">Schließen</span></button>
            <h2>Add New Playlist</h2>
            <form
                    id="add"
                    @submit="checkFormAndAddPlaylist"
            >
                <input v-model="name" placeholder="Enter a playlist name..."><br>
                <button class="btn">Add</button>
            </form>
        </div>
    </div>
</template>

<script>
    import WS from '../../websocket_con'
    export default {
        name: 'NewGroup',
        data(){
            return{
                errors: [],
                name: ''
            }
        },

        props: {
            msg: String
        },

        methods: {
            checkFormAndAddPlaylist(){
                this.errors = [];
                if(!this.name){
                    this.errors.push('Please enter a valid playlist name')
                }

                if(this.errors.length === 0){
                    WS.send(JSON.stringify({apiToken: localStorage.token, action: 'addPlaylist', name: this.name}));
                    this.$parent.closePlaylistModal();
                }
            }
        }
    }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
    @import "../../assets/theme";

    .background-overlay{
        position: fixed;
        background: rgba(39, 41, 66, 0.95);
        width: 100%;
        height: 100%;
        display: flex;
        align-content: center;
        justify-content: center;
        align-items: center;
        z-index: 100;
    }

    .modal{
        width: 50%;
        max-width: 800px;
        height: auto;
        background: $WHITE;
        display: flex;
        flex-direction: column;
        padding-bottom: 20px;

        .btn-icon.close {
            align-self: flex-end;
            border: none;
            padding: 0;
            height: 30px;
            width: 30px;
            right: 20px;
            margin-right: 20px;
            margin-top: 20px;
        }

        #add {
            display: flex;
            justify-content: center;

            input {
                width: 75%;
                border-right: none;
            }
        }
    }

</style>
